# yaml-language-server: $schema=../vendor/symfony/routing/Loader/schema/routing.schema.json

# This file is the entry point to configure the routes of your app.
# Methods with the #[Route] attribute are automatically imported.
# See also https://symfony.com/doc/current/routing.html

# To list all registered routes, run the following command:
#   bin/console debug:router

controllers:
    resource: routing.controllers

# SPA React - catch-all routes
spa_home:
    path: /
    controller: App\Controller\SpaController::index

spa_catchall:
    path: /{reactRouting}
    controller: App\Controller\SpaController::index
    requirements:
        reactRouting: '^(?!api|uploads|bundles|app|_).*'
